Summary: a tool to dump ABI of an ELF object containing DWARF debug info.
Name: abi-dumper
Version: 1.2
Release: 10%{?dist}
License: LGPL v2.1 and GPL v2.0
URL: https://github.com/lvc/abi-dumper
Source0: https://github.com/lvc/%{name}/archive/%{version}/%{name}-%{version}.tar.gz

Patch0001: backport-fix-handle-data_member_location-2-64-1.patch
Patch0002: backport-fixed-symbol-search-sentence-judgment.patch
Patch0003: backport-Initial-support-for-Fedora-34.patch

Patch5000: drop-abnormal-item-in-header.patch

BuildRequires: gcc make git perl-interpreter perl-generators perl(File::Copy) perl(File::Find)

Requires:      elfutils elfutils-devel libstdc++ libstdc++-devel

%description
The tool is intended to be used with ABI Compliance Checker tool for
tracking ABI changes of a C/C++ library or kernel module:
https://github.com/lvc/abi-compliance-checker

%prep
%autosetup -p1

%install
mkdir -p %{buildroot}%{_prefix}
%make_install

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2-10
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2-9
- Rebuilt for loongarch release

* Mon Apr 15 2024 cunshunxia <cunshunxia@tencent.com> - 1.2-8
- update abnormal header files list, add 'no_file'.

* Thu Mar 21 2024 cunshunxia <cunshunxia@tencent.com> - 1.2-7
- drop abnormal header files which should not appear in xml.

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2-6
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Jul 11 2023 cunshunxia <cunshunxia@tencent.com> - 1.2-5
- drop <built-in> header when dump abi.

* Thu Jul 06 2023 cunshunxia <cunshunxia@tencent.com> - 1.2-4
- backport upstream patchs.

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Mar 29 2023 cunshunxia <cunshunxia@tencent.com> - 1.2-1
- initial build
